Subject: usb/mcs7830: Cannot read MAC address

From: [email-masked]
Date: Wed, 21 Dec 2011 20:40:44 +0000

Hello,

I have a USB adapter by Pluscom with a Moschip chip.  Plugging it into a 
Centos 5.7 box with a vanilla 3.1.5 kernel I get:

usb 5-8: new high speed USB device number 4 using ehci_hcd
usb 5-8: New USB device found, idVendor=9710, idProduct=7830
usb 5-8: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 5-8: Product: USB-MAC Controller
usb 5-8: Manufacturer: Moschip Semiconductor
usb 5-8: SerialNumber: 081600e2
usb 5-8: Cannot read MAC address
MOSCHIP usb-ethernet driver: probe of 5-8:1.0 failed with error -110

I don't see this error plugging the device into my Fedora 15 Laptop with 
a very recent kernel, which makes me think this could be something to do 
with Centos' old userspace, maybe the kernel headers or udev.

Can anyone suggest roughly whereabouts the problem might lie so I can 
hunt around for a solution in the right place?

thanks in advance,
Eddie